""" Decrypts a secret message embedded into an image as follows:
    1) Assignments each character to a character code:
    * the letters 'A' to 'Z' have character code 1 to 26,
    * the letters 'a' to 'z' also use codes 1 to 26,
    * the ' ' (space) character has character code 0,
    * the '.' (period) character has character code 27, and
    * the '?' (question mark) character has character code 28.
    * all other characters have character code 29.

    2) Starting at pixel x=0 and y=0 and row-wise across the picture
    the RGB values are adjusted to embed the sequence of characters
    in the message.

    3) To make as small of a color change to a pixel the character
    code's value is split evenly across each R, G, and B. For example,
    to embed the letter 'j' with character code of 10, we:
    a) use integer division of 10 / 3 to get 3,
    b) adjust R by 3 and G by 3,
    c) adjust B by the rest, i.e., (10 - 3 - 3) or 4
    NOTE:  to avoid going outside the range of values 0 - 255 when
    adjusting the RGB values, values below 128 will be adjusted upward
    and values above or equal to 128 will be adjusted downward.
"""
def main():
  print "Select the Media Folder"
  setMediaFolder()
  print "Select the picture (.png) file containing the embedded secret message"
  fileName = pickAFile()
  pictWithMsg = makePicture(fileName)
  show(pictWithMsg)

  print "Select the original picture (.jpg ) file WITHOUT the secret message"
  fileName = pickAFile()
  pict = makePicture(fileName)
  show(pict)
  
  openPictureTool(pict)
  openPictureTool(pictWithMsg)
  print "Please wait while the secret message is extracted."
  charList = decryptMsg(pict, pictWithMsg)
  
  writeToFile(charList)
  
def decryptMsg(picture, pictWithMsg):
  """ Decrypts the secret message by comparing the two pictures and
      returns the charList containing the secret message. """
  charList = []  # an empty list initially
  # Your for-loops to iterate over the pictures and decrypt the secret message
  
      # append each decoded character to the end of charList by:
      charList.append(char)

  # last line of decryptMsg function that returns the charList to the main function      
  return charList
        
   
def writeToFile(charList):
  """ Writes the charList to the file decodedMsg.txt """
  newFileName = getMediaPath('decodedMsg.txt')
  msgFile = open(newFileName,'w')
  for char in charList:
    msgFile.write(char)
  msgFile.close()
              
main() # starts the program
